import 'package:flutter/material.dart';
import 'package:sendtrain/models/activity_model.dart';

class ActivityView extends StatelessWidget {
  const ActivityView({super.key, required this.activity});

  final ActivityModel activity;

  @override
  Widget build(BuildContext context) {
    return Column(
      // mainAxisSize: MainAxisSize.min,
      // mainAxisAlignment: MainAxisAlignment.start,
      children: <Widget>[
        AppBar(
          centerTitle: true,
          title: Text(activity.title, style: const TextStyle(fontSize: 25)),
        ),
        ActivityViewCategories(categories: activity.categories),
        Padding(
            padding:
                const EdgeInsets.only(top: 25, bottom: 10, left: 15, right: 15),
            child: Text(
                textAlign: TextAlign.left,
                style: const TextStyle(fontSize: 20),
                activity.description)),
        const Padding(
            padding: EdgeInsets.only(top: 25, bottom: 10),
            child: Text(
                textAlign: TextAlign.left,
                style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold),
                'Actions:')),
      ],
    );
  }
}

class ActivityViewCategories extends StatelessWidget {
  const ActivityViewCategories({super.key, this.categories});

  final List<String>? categories;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Padding(
            padding: const EdgeInsets.only(bottom: 10),
            child: SizedBox(
                height: 40,
                child: ListView.builder(
                  shrinkWrap: true,
                  scrollDirection: Axis.horizontal,
                  padding: const EdgeInsets.fromLTRB(10, 0, 10, 0),
                  itemCount: categories?.length,
                  itemBuilder: (BuildContext context, int index) {
                    return Padding(
                        padding: const EdgeInsets.only(right: 5),
                        child: ActionChip(
                          visualDensity: VisualDensity.compact,
                          avatar: const Icon(Icons.check_circle_outline),
                          label: Text(maxLines: 1, '${categories?[index]}'),
                          onPressed: () {},
                        ));
                  },
                ))),
      ],
    );
  }
}
